helpers do

  def get_recent_images
    client = Instagram.client(:access_token => session[:access_token])

    @user = client.user
    @images = []

    for media_item in client.user_recent_media
      caption = media_item.caption.nil? ? "Photo by #{@user.username}" : %Q{"#{media_item.caption.text}"}
      @images << {  url: media_item.images.standard_resolution.url,
                    link: media_item.link,
                    caption: caption
                 }
    end
  end

end
