$(function() {

  // Enable the carou sel
  $('.carousel').carousel({
    // Change the image every 15 minutes
    interval: 60 * 1000 * 5
  })

  // After new image
  $('.carousel').on('slid', function(){
    if($('.active .thumbnail img').size()==1){
      document.title = $('.active .thumbnail img').attr("alt");
    } else {
      document.title = 'Nookstagram';
    }
  });

  // Reload the page every day
  setTimeout("location.reload(true);", 3600 * 1000 * 24);

  $(window).scroll(function (event) {
    // ^ v means next image
    $('.carousel').carousel('next');
    return false;
  });

  // 37 - left
  // 38 - up
  // 39 - right
  // 40 - down
  $(document).keydown(function (event){
    if(event.keyCode == 37) {
      $('.carousel').carousel('prev');
      return false;
    }

    if(event.keyCode == 39) {
      $('.carousel').carousel('next');
      return false;
    }
  });

});
