get "/oauth/connect/?" do
  request.ip
  redirect Instagram.authorize_url(:redirect_uri => CALLBACK_URL)
end

get "/oauth/callback/?" do
  response = Instagram.get_access_token(params[:code], :redirect_uri => CALLBACK_URL)
  session[:access_token] = response.access_token
  redirect "/"
end

get "/oauth/disconnect/?" do
  session.clear
  redirect "/"
end
